extends Node
signal up
signal down
signal left
signal right
# Called when the node enters the scene tree for the first time.
func _ready():
	pass

func _hide():
	$ColorRect.hide()
	$Up.hide()
	$Down.hide()
	$Left.hide()
	$Right.hide()
	
func _show():
	$ColorRect.show()
	$Up.show()
	$Down.show()
	$Left.show()
	$Right.show()
# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass
